Method: projects.locations.collections.dataStores.completionSuggestions.import

DataStore の CompletionSuggestion をインポートします。

HTTP リクエスト

POST https://discoveryengine.googleapis.com/v1/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:import

この URL では gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
parent

string

必須。顧客の予測入力の候補をインポートする親データストアのリソース名。

パターン projects/*/locations/*/collections/*/dataStores/* に従います

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
フィールド
errorConfig

object (ImportErrorConfig)

インポート中に発生したエラーを記録する目的の場所。

予測入力の候補のソース。以下は、相互に排他的なフィールドのリストです。レスポンスで設定されるフィールドは最大で 1 つです。
inlineSource

object (InlineSource)

候補エントリのインライン ソース。

gcsSource

object (GcsSource)

Cloud Storage 上で、入力コンテンツの配置先とする場所。

bigquerySource

object (BigQuerySource)

BigQuery 入力ソース。

相互に排他的なフィールドの終了。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳細については、Authentication Overview をご覧ください。

IAM 権限

parent リソースに対する次の IAM 権限が必要です。

  • discoveryengine.completionSuggestions.import

詳細については、IAM のドキュメントをご覧ください。